# class ObjectMap<K, V>

#### package haxe.ds

#### implements IMap<K, V>

Available on all platforms

ObjectMap allows mapping of object keys to arbitrary values.

On static targets, the keys are considered to be strong references. Refer to `haxe.ds.WeakMap` for a weak reference version.

See `Map` for documentation details.

See:

https://haxe.org/manual/std-Map.html

### Constructor

###

`new ()`

Creates a new ObjectMap.

### Methods

###

`exists (key:K):Bool`

See `Map.exists`

###

`get (key:K):Null<V>`

See `Map.get`

###

`iterator ():Iterator<V>`

See `Map.iterator`

###

`keys ():Iterator<K>`

See `Map.keys`

###

`remove (key:K):Bool`

See `Map.remove`

###

`set (key:K, value:V):Void`

See `Map.set`

###

`toString ():String`

See `Map.toString`